pair.hpp File Reference
`#include "msgpack/versioning.hpp"`
`#include "msgpack/adaptor/adaptor_base.hpp"`
`#include "msgpack/meta.hpp"`
`#include <utility>`

Go to the source code of this file.

## Classes

struct | msgpack::adaptor::as< std::pair< T1, T2 >, typename std::enable_if< msgpack::any_of< msgpack::has_as, T1, T2 >::value >::type >
struct | msgpack::adaptor::convert< std::pair< T1, T2 > >
struct | msgpack::adaptor::pack< std::pair< T1, T2 > >
struct | msgpack::adaptor::object_with_zone< std::pair< T1, T2 > >

## Namespaces

| msgpack
| msgpack::adaptor